<bugID>561636<Summary>When an invalid form is submitted, error messages should be displayed</Summary><Description>With the constraint validation in HTML5 Forms, when an element is invalid, the user should be informed. At least, when the user tries to submit the form because the form submission should be canceled if an element is invalid. Maybe also when the user stop interact with an element (unfocus) which is now in an invalid state.

We could probably use tooltip to show the error message.</Description></bugID>